# This package depends on automagic byte compilation
# https://fedoraproject.org/wiki/Changes/No_more_automagic_Python_bytecompilation_phase_2
%global _python_bytecompile_extra 1

%global srcname Genshi

Name:           python-genshi
Version:        0.7.3
Release:        1%{?dist}
Summary:        Toolkit for stream-based generation of output for the web

License:        BSD
URL:            http://genshi.edgewall.org/

Source0:        %pypi_source
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
Genshi is a Python library that provides an integrated set of
components for parsing, generating, and processing HTML, XML or other
textual content for output generation on the web. The major feature is
a template language, which is heavily inspired by Kid.


%package -n python3-genshi
Summary:        Toolkit for stream-based generation of output for the web
BuildArch:      noarch
Requires:       python3-babel >= 0.8

%description -n python3-genshi
Genshi is a Python library that provides an integrated set of
components for parsing, generating, and processing HTML, XML or other
textual content for output generation on the web. The major feature is
a template language, which is heavily inspired by Kid.


%prep
%autosetup -n %{srcname}-%{version}
# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info
find examples -type f | xargs chmod a-x


%build
%py3_build


%install
%py3_install
rm -r %{buildroot}%{python3_sitelib}/genshi/tests
rm -r %{buildroot}%{python3_sitelib}/genshi/{filters,template}/tests
rm %{buildroot}%{python3_sitelib}/genshi/*.c


%check
%{__python3} setup.py test


%files -n python3-genshi
%license COPYING
%doc ChangeLog doc examples README.txt
%{python3_sitelib}/%{srcname}-%{version}-py*.egg-info
%{python3_sitelib}/genshi


%changelog
* Tue May 28 2019 Felix Schwarz <fschwarz@fedoraproject.org> - 0.7.3-1
- initial commit for EPEL8

